Bug 1029131 - fedora-autorelabel.service execute relabel on read only root
fedora-autorelabel.service execute relabel on read only root
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 12:49 EST by Marian
Modified: 2016-07-19 06:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:34:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Prevent on relabelling root system on read-only mount root (915 bytes, patch)
2013-11-13 02:17 EST, Marian
no flags Details | Diff

  None (edit)
Description Marian 2013-11-11 12:49:27 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.run on terminal /usr/bin/system-config-selinux 
2.Status -> Relabel on next reboot set
3.On restart relabel process not have acces to "/" because in read-only

Actual results:
Root system is read-only

Expected results:
Root system to be read-write

Additional info:
Comment 1 Kay Sievers 2013-11-11 13:04:31 EST
$ rpm -qf /usr/lib/systemd/system/fedora-autorelabel.service
initscripts-9.50-1.fc20.x86_64
Comment 2 Marian 2013-11-13 02:17:24 EST
Created attachment 823275 [details]
Prevent on relabelling root system on read-only mount root

This bug is easy reproduced:
Run on terminal systemctl mask systemd-remount-fs
Comment 3 Fedora End Of Life 2015-01-09 15:33:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:11:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-02-17 14:57:37 EST
I don't think this was ever fixed.
Comment 6 Jaroslav Reznik 2015-03-03 10:12:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fedora End Of Life 2016-07-19 06:34:57 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.